//Select short (12 entry) or long (1,000,001 entry) trace file
//`define TRACEFILE "short_test.trc"  //12 entries
`define TRACEFILE		  "long_spice.trc"  //1,000,001 entries, trace from Spice circuit simulator
//`define TRACEFILE		  "long_cc.trc"  //1,000,001 entries, trace from C compiler


// For end-of-trace determination: array one element larger than trace!
//`define MAXTRACESIZE 12
`define	  MAXTRACESIZE	1000001

`define TRACEWIDTH      36
`define TRACE           `TRACEWIDTH-1:0

`define TACCS           `TRACEWIDTH-1:`TRACEWIDTH-4     // Access type
`define TADDR           `TRACEWIDTH-5:0                 // Memory address

`define DR              0       // Data read
`define DW              1       // Data write
`define IF              2       // Instruction fetch
